msgpack::adaptor::object_with_zone< const unsigned char[N]> Struct Template Reference

`#include <carray.hpp>`

## Public Member Functions

void | operator() (msgpack::object::with_zone &o, const unsigned char(&v)[N]) const

## Member Function Documentation

## operator()()

template<std::size_t N>

void msgpack::adaptor::object_with_zone< const unsigned char[N]>::operator() | ( | msgpack::object::with_zone & | o,
|  | const unsigned char(&) | v[N]
| ) |  | const

inline

References msgpack::zone::allocate_align(), msgpack::type::BIN, msgpack::object::union_type::bin, msgpack::checked_get_container_size(), MSGPACK_ZONE_ALIGNOF, msgpack::object_bin::ptr, msgpack::type::size(), msgpack::object_bin::size, msgpack::object::type, msgpack::object::via, and msgpack::object::with_zone::zone.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/adaptor/carray.hpp